Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.xml
Class XMLFactory

    java.lang.Object
      uchicago.src.xml.XMLFactory

    public class XMLFactory

extends java.lang.Object

Constructor Summary
`XMLFactory(java.lang.String name, java.lang.Object target, java.util.ArrayList propNames)`

Method Summary
`java.lang.String` | `getXML()`
`java.lang.String` | `getXMLAttributes()`
`java.lang.String` | `getXMLEnd()`
`java.lang.String` | `getXMLStart()`
`java.lang.String` | `getXMLStartAttrib()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLFactory

    public XMLFactory(java.lang.String name,
                      java.lang.Object target,
                      java.util.ArrayList propNames)

Method Detail

### getXMLStart

    public java.lang.String getXMLStart()

### getXMLEnd

    public java.lang.String getXMLEnd()

### getXMLAttributes

    public java.lang.String getXMLAttributes()
                                      throws java.lang.NoSuchMethodException,
                                             java.lang.IllegalAccessException,
                                             java.lang.reflect.InvocationTargetException

  Throws:
    `java.lang.NoSuchMethodException`
    `java.lang.IllegalAccessException`
    `java.lang.reflect.InvocationTargetException`

### getXMLStartAttrib

    public java.lang.String getXMLStartAttrib()
                                       throws java.lang.NoSuchMethodException,
                                              java.lang.IllegalAccessException,
                                              java.lang.reflect.InvocationTargetException

  Throws:
    `java.lang.NoSuchMethodException`
    `java.lang.IllegalAccessException`
    `java.lang.reflect.InvocationTargetException`

### getXML

    public java.lang.String getXML()
                            throws java.lang.NoSuchMethodException,
                                   java.lang.IllegalAccessException,
                                   java.lang.reflect.InvocationTargetException

  Throws:
    `java.lang.NoSuchMethodException`
    `java.lang.IllegalAccessException`
    `java.lang.reflect.InvocationTargetException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD